package com.ruixuan.bytedance.mapper;

import com.ruixuan.bytedance.entity.BytedanceColonelActivity;
import com.ruixuan.bytedance.entity.BytedanceColonelActivityDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 团长活动 信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-11
 */
public interface BytedanceColonelActivityMapper {
    /**
     * 查询团长活动 信息
     *
     * @param id 团长活动 信息主键
     * @return 团长活动 信息
     */
    public BytedanceColonelActivity selectBytedanceColonelActivityById(Long id);

    /**
     * 查询团长活动 信息列表
     *
     * @param bytedanceColonelActivity 团长活动 信息
     * @return 团长活动 信息集合
     */
    public List<BytedanceColonelActivity> selectBytedanceColonelActivityList(BytedanceColonelActivity bytedanceColonelActivity);

    /**
     * 新增团长活动 信息
     *
     * @param bytedanceColonelActivity 团长活动 信息
     * @return 结果
     */
    public int insertBytedanceColonelActivity(BytedanceColonelActivity bytedanceColonelActivity);

    /**
     * 修改团长活动 信息
     *
     * @param bytedanceColonelActivity 团长活动 信息
     * @return 结果
     */
    public int updateBytedanceColonelActivity(BytedanceColonelActivity bytedanceColonelActivity);

    /**
     * 删除团长活动 信息
     *
     * @param id 团长活动 信息主键
     * @return 结果
     */
    public int deleteBytedanceColonelActivityById(Long id);

    /**
     * 批量删除团长活动 信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBytedanceColonelActivityByIds(Long[] ids);

    void replaceBatch(@Param("activityList") List<BytedanceColonelActivity> activityList);

    void insertDetail(BytedanceColonelActivityDetail activityDetail);

    BytedanceColonelActivityDetail getDetailByActivityId(@Param("activityId") Long activityId);
}